/* ======================================================================
     "bx1HRsol.h"
       - header file for "bx1HRsol.cc"
             Copyright (c) 2004-2012  by A. Miyoshi, Univ. Tokyo
 ====================================================================== */

#ifndef _BX1HRSOL_H_
#define _BX1HRSOL_H_

#include "libbx1FS.h"

/* ----- local constants ------------------------------------ */

enum { OUTnone = 0, OUTvec = 1, OUTfunc = 2, OUTall = 3 };
enum ecode { ERRusage, FAILopen, READerr, UNKNkey,
             NOmaqn, INVmaqn, NOrotc, INVrotc, INVsymn, INVnuss,
             INVpotp, NOVpotp,
             NUMerr, BADconv, FATALconv, LRGQerr, LMTQrng };

/* ----- local functions ------------------------------------ */

int read_input(string &basfln, basisFreeRotor &basis, tempList &tpls,
 int &outcnt, int &precanal, int &fulmaqn);
void store_egvals(basisFreeRotor &basis, double *egval);
int max_reliable_aqn(basisFreeRotor &basis, int maqnS, double *egvalS);
int write_eigen_values(string &basfln, basisFreeRotor &basis, int limAQn,
 int maxOutAQn);
int write_eigen_vectors(string &basfln, basisFreeRotor &basis,
 int limAQn);
int write_eigen_funcs(string &basfln, basisFreeRotor &basis, int limAQn);
int write_part_funcs(string &basfln, basisFreeRotor &basis, int limAQn,
 int fulAQn, tempList &tpls);
int errms(ecode ec, string ms = "");

#endif
