/* ======================================================================
     "bx1VIBsol.h"
       - header file for "bx1VIBsol.cc"
             Copyright (c) 2004-2012  by A. Miyoshi, Univ. Tokyo
 ====================================================================== */

#ifndef _BX1VIBSOL_H_
#define _BX1VIBSOL_H_

#include "libbx1PS.h"

/* ----- constants ------------------------------------------ */

enum { OUTnone = 0, OUTvec = 1, OUTfunc = 2, OUTall = 3 };
enum ecode { ERRusage, FAILopen, READerr, UNKNkey,
             NOnbas, INVnbas, NOrotc, INVrotc, NOhof, INVhof,
             INVsymn, INVnuss, INVpotp,
             NOVpotp, NUMerr, BADconv, FATALconv, LRGQerr, LMTQrng };

/* ----- local functions ------------------------------------ */

int read_input(string &basfln, powerSeries &potE,
 basisHermiteGauss &basis, tempList &tpls, int &outcnt);
int small_run(powerSeries &potE, basisHermiteGauss &basis, int snbas,
 double *egvs);
int max_reliable_qn(basisHermiteGauss &basis, int snbas, double *egvs);
int write_eigen_values(string &basfln, basisHermiteGauss &basis,
 int mxQn, int mxOutQn);
int write_eigen_vectors(string &basfln, basisHermiteGauss &basis,
 int mxQn);
int write_eigen_funcs(string &basfln, basisHermiteGauss &basis, int mxQn);
int write_part_funcs(string &basfln, basisHermiteGauss &basis, int mxQn,
 tempList &tpls);
int errms(ecode ec, string ms = "");

#endif
