/* ---------------------------------------------------------------------
     "wc_dposv.h" - header for C wrapper for LAPACK DPOSV & DPOTRI
             Copyright (c) 2003-2012  by A. Miyoshi, Univ. Tokyo
--------------------------------------------------------------------- */
#ifndef _WC_DPOSV_H_
#define _WC_DPOSV_H_

#if defined (_WIN32) && ! defined (__MINGW32__)
#define ENT_DPOSV DPOSV
#define ENT_DPOTRI DPOTRI
#else
#define ENT_DPOSV dposv_
#define ENT_DPOTRI dpotri_
#endif

extern
  void ENT_DPOSV(char *uplo, int *n, int *nrhs, double **a, int *lda,
   double **b, int *ldb, int *info);
extern
  void ENT_DPOTRI(char *uplo, int *n, double **a, int *lda, int *info);

int lapack_dposv(char uplo, int n, int nrhs, double **a, int lda,
 double **b, int ldb);
int lapack_dpotri(char uplo, int n, double **a, int lda);

#endif
