/* ======================================================================
     "libbx1com.h"
       - header file for "libbx1com.cc"
             Copyright (c) 2004-2005  by A. Miyoshi, Univ. Tokyo
 ====================================================================== */

#ifndef _LIBBX1COM_H_
#define _LIBBX1COM_H_

#include "libbasIOstr.h"

/* ===== nuclear spin weights ========================================= */

class nucSpinStat : public vector<int> {};

/* ===== temperature list ============================================= */

class tempList : public vector<double> {
 protected:
  enum errcode { INVRstep, INVRstrt, INVRinvt, INVRtmny, INVRnpar,
       INVInumr, INVIstep, INVIstrt, INVIinvt, INVItmny, INVInpar,
       BADoffst, INVLtemp };
 public:
  tempList();
  void setDefault();
  void sortElimDup();
  int addRange(double st, double et, double dt);
  int addRangeVS(vector<string> &vs, int offset = 0);
  int addRecipRange(double numr, double stt, double lst, double stp);
  int addRecipRangeVS(vector<string> &vs, int offset = 0);
  int addList(vector<double> &vd);
  int addListVS(vector<string> &vs, int offset = 0);
  double maxTemp();
  double maxLowerEq(double thT);
 protected:
  int errms(errcode erc, string sv = "");
};

#endif
